/*
  Copyright (C) 1996, 1997, 1998, 1999, 2000 Florian Schintke
 
  This is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free 
  Software Foundation; either version 2, or (at your option) any later 
  version. 
 
  This is distributed in the hope that it will be useful, but WITHOUT 
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
  for more details. 
 
  You should have received a copy of the GNU General Public License with 
  the c2html, java2html, pas2html or perl2html source package as the 
  file COPYING. If not, write to the Free Software Foundation, Inc., 
  59 Temple Place - Suite 330, Boston, MA 
  02111-1307, USA. 
*/

/* usage: testwildcards wildcard teststring [tf] */
#include <stdio.h>
#include "wildcards.h"

void testit(char *wildcard, char *test, char *wanted);

int main(int argc, char *argv[])
{
  char *wildcard;
  char *test;

  if (argc < 4)
    {
      printf("usage: %s wildcard teststring [tf]\n", argv[0]);
      return 1;
    }

  wildcard = argv[1];
  test = argv[2];
  testit (wildcard, test, argv[3]);

  /* use argc only for lclint */
  *argv[1] = (char) argc;
  return 0;
}
  
void testit(char *wildcard, char *test, char *wanted)
{
  printf ("\(%s", wanted);
  if (1 == wildcardfit(wildcard, test))
    { 
      printf ("t) ['%s', '%s']", wildcard, test); 
      if (wanted[0] == 'f')
	{ printf(" ERROR"); }
      printf("\n");
    }
  else
    { 
      printf ("f) ['%s', '%s']", wildcard, test); 
      if (wanted[0] == 't')
	{ printf(" ERROR"); }
      printf("\n");      
    }
}
